Bug 102065 - Spec file missing some BuildRequires
Spec file missing some BuildRequires
Product: Red Hat Raw Hide
Classification: Retired
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-08-10 05:45 EDT by Dams
Modified: 2015-01-07 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-08 05:42:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dams 2003-08-10 05:45:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
from nautilus configure :
checking for jpeg_start_decompress in -ljpeg... no
configure: WARNING: *** (jpeg library not found) ***
configure: WARNING: *** JPEG loader will not be built (jpeg header file not
found) ***

Installing libjpeg-devel fixed that small problem.

Later in rebuild : 
No translations found for nautilus in /var/tmp/nautilus-2.2.4-root
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.20861 (%install)

--> "BuildRequires: gettext" should be added to spec file.

[BTW, I saw nautilus configure looking for medusa... just wondering : is medusa
or nautilus with medusa broken or something ? Why not add medusa support ?]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpmbuild --rebuild nautilus-2.2.4-5.src.rpm

Additional info:
Comment 1 Dams 2003-08-10 05:47:55 EDT
> Installing libjpeg-devel fixed that small problem.

==> "BuildRequires: libjpeg-devel" should be added to spec file.
Comment 2 Alexander Larsson 2004-10-04 10:08:54 EDT
It doen't acutally use libjpeg anymore, thats a leftover check. I
removed it upstream.

I'm not sure if we need to build-req gettext. Doesn't something else
drag that in already? warren?
Comment 3 Warren Togami 2004-10-04 21:08:48 EDT
gettext should be listed as BuildRequires, and sometimes gettext-devel
if it is necessary.
Comment 4 Alexander Larsson 2004-10-08 05:42:11 EDT
gettext buildreq added to cvs. Will be in next package build.

Note You need to log in before you can comment on or make changes to this bug.